using System;
using Server;

namespace Server.Items
{
	public class fireplaceeast : BaseAddon
	{
		[ Constructable ]
		public fireplaceeast()
		{
			AddComponent( new AddonComponent( 378 ), 0, 2, 0 );
			AddComponent( new AddonComponent( 400 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 401 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 371 ), 0, -1, 0 );
			AddComponent( new AddonComponent( 6715 ), 0, 1, 0 );
                        AddComponent( new AddonComponent( 6715 ), 0, 0, 0 );
                        AddComponent( new AddonComponent( 6571 ), 0, 0, 4 );
		}

		public fireplaceeast( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}